Package org.apache.sysds.runtime.iogen

## Class TextTrie

- java.lang.Object
- - org.apache.sysds.runtime.iogen.TextTrie

    public class TextTrie
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`TextTrieNode` `containsString​(String word)`
`int` `containsStringAndSet​(String word)`
`ArrayList<Pair<String,​Set<Integer>>>` `getAllKeys()`
`void` `insert​(String word, int rowIndex)`
`void` `reverseInsert​(String word, int rowIndex)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### reverseInsert

    public void reverseInsert​(String word,
                              int rowIndex)

#### insert

    public void insert​(String word,
                       int rowIndex)

#### containsString

    public TextTrieNode containsString​(String word)

#### containsStringAndSet

    public int containsStringAndSet​(String word)

#### getAllKeys

    public ArrayList<Pair<String,​Set<Integer>>> getAllKeys()